Subject: [mpls-tp] Is PW a layer of MPLS-TP

From: David Allan I <[email-masked]>
Date: Wed, 28 Oct 2009 12:02:06 -0400

HI Adrian:

IMO the S-bit is set in the PW label and clear in the encapsulating sub-layers, hence it is a sub-layer in the G.805 sense of MPLS-TP.

IMO it does confuse the landscape as OAM discrimination requires apriori knowledge of the label type at bottom of stack IF we assume a BOS can be other than a PW...

My 2 cents
D 

You wrote>>>>

Hi,

I am trying this question again with a different subject line.

It would be helpful to have more answers than just Neil's (not that I don't value his view, but one person doesn't make consensus!) 

My question:

Hasn't the work on the MPLS-TP Framework draft judged PW to be a client of MPLS-TP? 
That is, PW is not a layer of MPLS-TP, but the client.

Doesn't that mean that PW survivability is out of scope for the MPLS-TP Survivability I-D? 

Thanks,
Adrian

---

From: David Allan I <[email-masked]>
Date: Wed, 28 Oct 2009 12:41:02 -0400

Hi Nurit:

I think you misunderstand me. My comment on whether we supported clients besides PWs was to illustrate second order consequences, not to suggest that OAM was wagging the dog or was involved in delineation of layers and sublayers...

IMO all labels between the link layer preamble and the label with the S- bit set are either reserved functions or sub-layers of the MPLS-TP "layer", "sub-layers" AND reserved labels being what was known as "levels" in RFC 3031. All sub layers have the potential to be switched including the PW sub-layer, ergo a PW is a sub-layer of MPLS-TP...

I hope I'm clear...

Cheers
D

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon) [mailto:[email-masked]] 
Sent: Wednesday, October 28, 2009 12:27 PM
To: David Allan I; [email-masked]
Subject: RE: [mpls-tp] Is PW a layer of MPLS-TP

Hi Dave,
I am afraid again that relying on OAM to distinnguish between the clients is a wrong approach.
Best regadrs,
Nurit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext David Allan I
Sent: Wednesday, October 28, 2009 6:02 PM
To: [email-masked]
Subject: [mpls-tp] Is PW a layer of MPLS-TP

HI Adrian:

My 2 cents
D 

You wrote>>>>

Hi,

My question:

Thanks,
Adrian
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: "Sprecher, Nurit (NSN - IL/Hod HaSharon)" <[email-masked]>
Date: Wed, 28 Oct 2009 17:26:38 +0100

Hi Dave,
I am afraid again that relying on OAM to distinnguish between the
clients is a wrong approach.
Best regadrs,
Nurit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of ext David Allan I
Sent: Wednesday, October 28, 2009 6:02 PM
To: [email-masked]
Subject: [mpls-tp] Is PW a layer of MPLS-TP

HI Adrian:

IMO the S-bit is set in the PW label and clear in the encapsulating
sub-layers, hence it is a sub-layer in the G.805 sense of MPLS-TP.

IMO it does confuse the landscape as OAM discrimination requires apriori
knowledge of the label type at bottom of stack IF we assume a BOS can be
other than a PW...

My 2 cents
D 

You wrote>>>>

Hi,

It would be helpful to have more answers than just Neil's (not that I
don't value his view, but one person doesn't make consensus!) 

My question:

Hasn't the work on the MPLS-TP Framework draft judged PW to be a client
of MPLS-TP? 
That is, PW is not a layer of MPLS-TP, but the client.

Doesn't that mean that PW survivability is out of scope for the MPLS-TP
Survivability I-D? 

Thanks,
Adrian

---

From: "Drake, John E" <[email-masked]>
Date: Wed, 28 Oct 2009 10:04:52 -0700

The LSP endpoints will know the client adaptation type associated with a given label either via configuration or signalling.    

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of David Allan I
> Sent: Wednesday, October 28, 2009 9:02 AM
> To: [email-masked]
> IMO the S-bit is set in the PW label and clear in the 
> encapsulating sub-layers, hence it is a sub-layer in the 
> G.805 sense of MPLS-TP.
> 
> IMO it does confuse the landscape as OAM discrimination 
> requires apriori knowledge of the label type at bottom of 
> stack IF we assume a BOS can be other than a PW...
> 
> My 2 cents
> D 
> 
> You wrote>>>>
> 
> Hi,
> 
> It would be helpful to have more answers than just Neil's 
> (not that I don't value his view, but one person doesn't make 
> consensus!) 
> 
> My question:
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 28 Oct 2009 17:26:18 -0000

So trying to take this a step further...

If a PW is "just a label" making it "just a sub-layer" why do we insist that 
it is in any way different within the network?

How is an S-PE that switches PW segments any different from a P-node that 
switches LSP segments? True, the S-PE must terminate the LSP tunnel (pop a 
label) before finding the PW label on which to switch. But this same 
function could apply at a P-node that is switching an LSP that was carried 
in a tunnel.

If this is the case, shouldn't we *include* PWs in the Survivability 
Framework:
- as automatically the same as LSPs
- with some examples to show how the function if achieved.

To repeat: How are PWs any different within the network.

[In answering, please recall that we are talking about MPLS-TP networks 
only.]

Thanks,
Adrian

----- Original Message ----- 
From: "David Allan I" <[email-masked]>
To: "Sprecher, Nurit (NSN - IL/Hod HaSharon)" <[email-masked]>; 
<[email-masked]>
Sent: Wednesday, October 28, 2009 4:41 PM
Subject: Re: [mpls-tp] Is PW a layer of MPLS-TP

> Hi Nurit:
>
> I think you misunderstand me. My comment on whether we supported clients 
> besides PWs was to illustrate second order consequences, not to suggest 
> that OAM was wagging the dog or was involved in delineation of layers and 
> sublayers...
>
> IMO all labels between the link layer preamble and the label with the S- 
> bit set are either reserved functions or sub-layers of the MPLS-TP 
> "layer", "sub-layers" AND reserved labels being what was known as "levels" 
> in RFC 3031. All sub layers have the potential to be switched including 
> the PW sub-layer, ergo a PW is a sub-layer of MPLS-TP...
>
> I hope I'm clear...
>
> Cheers
> D
>

---

From: David Allan I <[email-masked]>
Date: Wed, 28 Oct 2009 14:35:42 -0400

HI John:

Understood, simply lamenting the fact that there is more than one "infomration structure" for interpreting OAM at switching points depending on whether the label is a PW or a TP-LSP...for backwards compatibility reasons, I do not know how you get around this...alternative being OAM interworking at the PW layer...which IMO is less palatable...

D

-----Original Message-----
From: Drake, John E [mailto:[email-masked]] 
Sent: Wednesday, October 28, 2009 1:05 PM
To: David Allan I; [email-masked]
Subject: RE: Is PW a layer of MPLS-TP

> IMO it does confuse the landscape as OAM discrimination requires 
> apriori knowledge of the label type at bottom of stack IF we assume a 
> BOS can be other than a PW...
> 
> My 2 cents
> D
> 
> You wrote>>>>
> 
> Hi,
>

---

From: Luca Martini <[email-masked]>
Date: Wed, 28 Oct 2009 16:31:12 -0600

Hi Adrian,

An S-PE is very different. A P node has no knowledge of what is in the 
PW, what specific parameters are incompatible with the 2 PWs. block or 
fake PW OAM, etc...
An S-PE is an administrative , and control point for the MS-PW. While a 
P Router switches all LSP the same , and does not even have to be a MIP.
Also an S-PE can connect PWs running on completely different server 
networks, without any interworking function at the network layer.

Luca

Adrian Farrel wrote:
> If a PW is "just a label" making it "just a sub-layer" why do we 
> insist that it is in any way different within the network?
>
> How is an S-PE that switches PW segments any different from a P-node 
> that switches LSP segments? True, the S-PE must terminate the LSP 
> tunnel (pop a label) before finding the PW label on which to switch. 
> But this same function could apply at a P-node that is switching an 
> LSP that was carried in a tunnel.
>

> [In answering, please recall that we are talking about MPLS-TP 
> networks only.]
>
> Thanks,
> Adrian
>
> ----- Original Message ----- From: "David Allan I" 
> <[email-masked]>
> To: "Sprecher, Nurit (NSN - IL/Hod HaSharon)" 
> <[email-masked]>; <[email-masked]>
>> I think you misunderstand me. My comment on whether we supported 
>> clients besides PWs was to illustrate second order consequences, not 
>> to suggest that OAM was wagging the dog or was involved in 
>> delineation of layers and sublayers...
>>
>> IMO all labels between the link layer preamble and the label with the 
>> S- bit set are either reserved functions or sub-layers of the MPLS-TP 
>> "layer", "sub-layers" AND reserved labels being what was known as 
>> "levels" in RFC 3031. All sub layers have the potential to be 
>> switched including the PW sub-layer, ergo a PW is a sub-layer of 
>> MPLS-TP...
>>
>> I hope I'm clear...
>>
>> Cheers
>> D
>>

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 28 Oct 2009 23:53:16 -0000

Luca,

Perhaps I didn't explain my question clearly enough.

In the data plane of an MPLS-TP network (so it is all one server type - 
MPLS-TP), is there any difference in behavior in an S-PE and P node when 
switching packets?

Let me draw a network...

A==B==C***D***E

Consider that I build two LSP tunnels ABC and CDE.
Now suppose I want an LSP (note: not a PW) form A to E. It runs ACE using 
the two tunnels.
At C, when a packet is received, the top label is popped (end of LSP ABC) 
and the exposed label is used for forwarding. Then a new label is imposed 
(LSP CDE) before the packet is sent onward.

Now, let me draw another network.

A==B==C***D***E

Consider that I build two LSP tunnels ABC and CDE.
Now suppose I want a PW (note: not an LSP) form A to E. It runs ACE using 
the two tunnels.
At C, when a packet is received, the top label is popped (end of LSP ABC) 
and the exposed label is used for forwarding. Then a new label is imposed 
(LSP CDE) before the packet is sent onward.

In the first case, node C is a P-node.
In the second case, node C is an S-PE.
There is nothing that precludes or requires node C to be on any domain 
boundary.

What is the difference in the data plane between node C in the first case 
and node C in the second case?

It is important (to me) to limit this question to the data plane. I don't 
care how the LSPs or PWs are set up or what service they are delivering.

Thanks,
Adrian

----- Original Message ----- 
From: "Luca Martini" <[email-masked]>
To: "Adrian Farrel" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, October 28, 2009 10:31 PM
Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?

> Hi Adrian,
>
> An S-PE is very different. A P node has no knowledge of what is in the PW, 
> what specific parameters are incompatible with the 2 PWs. block or fake PW 
> OAM, etc...
> An S-PE is an administrative , and control point for the MS-PW. While a P 
> Router switches all LSP the same , and does not even have to be a MIP.
>> If a PW is "just a label" making it "just a sub-layer" why do we insist 
>> that it is in any way different within the network?
>>
>> switches LSP segments? True, the S-PE must terminate the LSP tunnel (pop 
>> a label) before finding the PW label on which to switch. But this same 
>> function could apply at a P-node that is switching an LSP that was 
>> carried in a tunnel.
>>
>
>>> that OAM was wagging the dog or was involved in delineation of layers 
>>> and sublayers...
>>>
>>> "levels" in RFC 3031. All sub layers have the potential to be switched 
>>> including the PW sub-layer, ergo a PW is a sub-layer of MPLS-TP...
>>>
>>> I hope I'm clear...
>>>
>>> Cheers
>>> D
>>>

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 29 Oct 2009 07:34:25 +0200

Adrian, Luca and all,
I agree with Adrian: data plane-wise S-PE is not different from P.

The differences come with the control plane (which may be absent in MPLS-TP)
or with OAM which, AFAIK, has not yet been standardized for MS-PWs and which, 
in an case, may be also absent the operator's choice. 

On the other hand, when it comes to OAM, the answer to the original question IMHO has a
very practical implication:

If I want to run OAM in an MS-PW that runs in an MPLS-TP network, do I have 
to use GAL as the last label in the label stack and followed by the ACH header
(as defined in RFC 5586), or can I run it using VCCV (as defined in RFC 5085)?

My 2c,
     Sasha

> [mailto:[email-masked]] On Behalf Of Adrian Farrel
> Sent: Thursday, October 29, 2009 1:53 AM
> To: Luca Martini
> Cc: [email-masked]
> [mailto:[email-masked]] On 
> encapsulating 
> requires apriori 
> (not that I

---

From: <[email-masked]>
Date: Thu, 29 Oct 2009 07:09:33 -0000

What a good example Adrian.  This illustrates 2 key points (i) MPLS does
not have consistent CI in its traffic units (esp the label, which
carries semantics specific to the CP protocol that issued it) and (ii)
whilst the S bit digital wrapper behaviour works as is usefulin
traditional MPLS, it for sure has limitations and creates problems in a
transport network context.

I used a similar exmaple back in Nov 2008 to try and explain (to Matthew
Bocci) why a PW label MUST have a SA semantic if carried over an LDP LSP
(ie LDP merging loses client source information that must recovered at a
higher level) and yet this would NOT be required if carried over a
RSVP-TE LSP.

Also see my mail earlier today to Luca where we discuss the fact that
MS-PWs create a new co-ps layer network above MPLS (any type).

regards, Neil

> Sent: 28 October 2009 23:53
> To: Luca Martini
> Cc: [email-masked]
> In the data plane of an MPLS-TP network (so it is all one 
> server type - MPLS-TP), is there any difference in behavior 
> in an S-PE and P node when switching packets?
> 
> Let me draw a network...
> 
> 
> A==B==C***D***E
> 
> Now suppose I want an LSP (note: not a PW) form A to E. It 
> runs ACE using the two tunnels.
> At C, when a packet is received, the top label is popped (end 
> of LSP ABC) and the exposed label is used for forwarding. 
> Then a new label is imposed (LSP CDE) before the packet is 
> sent onward.
> 
> Now suppose I want a PW (note: not an LSP) form A to E. It 
> runs ACE using the two tunnels.
> At C, when a packet is received, the top label is popped (end 
> of LSP ABC) and the exposed label is used for forwarding. 
> Then a new label is imposed (LSP CDE) before the packet is 
> sent onward.
> 
> There is nothing that precludes or requires node C to be on 
> any domain boundary.
> 
> What is the difference in the data plane between node C in 
> the first case and node C in the second case?
> 
> It is important (to me) to limit this question to the data 
> plane. I don't care how the LSPs or PWs are set up or what 
> service they are delivering.
> 
> Thanks,
> Adrian
> 
> > An S-PE is an administrative , and control point for the 
> MS-PW. While 
> > a P Router switches all LSP the same , and does not even 
> have to be a MIP.
> >>> IMO all labels between the link layer preamble and the label with 
> >>> the S- bit set are either reserved functions or sub-layers of the 
> >>> MPLS-TP "layer", "sub-layers" AND reserved labels being what was 
> >>> known as "levels" in RFC 3031. All sub layers have the 
> potential to 
> >>> be switched including the PW sub-layer, ergo a PW is a 
> sub-layer of MPLS-TP...
> >>>
> >>> I hope I'm clear...
> >>>
> >>> Cheers
> >>> D
> >>>
> >>> apriori knowledge of the label type at bottom of stack IF 
> we assume 
> >>> a BOS can be other than a PW...
> >>>
> >>> My 2 cents
> >>> D
> >>>
> >>> You wrote>>>>
> >>>
> >>> Hi,
> >>>
> (not that 
> >>> I don't value his view, but one person doesn't make consensus!)
> >>>
> >>> My question:
> >>>

---

From: <[email-masked]>
Date: Thu, 29 Oct 2009 07:27:25 -0000

Sasha, I've expressed my views on this issue before and so far they have
been ignored AFAIK....but that does not make them any less important
(esp observing that its only taken 7/8 years for most folks to agree
with my observation that MS PWs create a new layer network above MPLS or
IP).....so here they are again:

The DP OAM should look as identical to DP client traffic units as
possible.  Further, DP OAM should be generated/removed at LSP trail
termination points.  What this means practically is that the 'OAM
payload indicate' function should be a something like a simple 1-bit
flag in the normal MPLS-TP traffic unit header.  It should not be hiding
under a reserved label, and for sure not a reserved label that should
only be used for CP/MP protocols (like the GAL).  Here, we can see that
the traffic unit header is clearly not the same as the OAM header.

Other OAM specific points:
-	think very hard about the AIS/FDI issue....I would advise NOT to
have such a function in MPLS-TP OAM
-	think very hard about TCM......I would advise using an approach
that passively taps-off end-end CV/PM OAM flows on-demand at
intermediate nodes for the **rare** performance cases one needs to
investigate instead of always applying a suite of a priori configured
nested MEPs/MIPs........and always bear in mind that there is no
technical justification for creating E-NNIs between different operating
parties when we are dealing with a layer network technology that is not
top-of-stack. 

regards, Neil

> [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
> Sent: 29 October 2009 05:34
> To: Adrian Farrel; Luca Martini
> Cc: [email-masked]
> The differences come with the control plane (which may be 
> absent in MPLS-TP) or with OAM which, AFAIK, has not yet been 
> standardized for MS-PWs and which, in an case, may be also 
> absent the operator's choice. 
> 
> On the other hand, when it comes to OAM, the answer to the 
> original question IMHO has a very practical implication:
> 
> If I want to run OAM in an MS-PW that runs in an MPLS-TP 
> network, do I have to use GAL as the last label in the label 
> stack and followed by the ACH header (as defined in RFC 
> 5586), or can I run it using VCCV (as defined in RFC 5085)?
> 
> My 2c,
>      Sasha
>  
> 
> server type 
> > - MPLS-TP), is there any difference in behavior in an S-PE 
> and P node 
> > when switching packets?
> > 
> > Let me draw a network...
> > 
> > 
> > A==B==C***D***E
> > 
> > Now suppose I want an LSP (note: not a PW) form A to E. It runs ACE 
> > using the two tunnels.
> > At C, when a packet is received, the top label is popped 
> (end of LSP 
> > ABC) and the exposed label is used for forwarding. Then a 
> new label is 
> > imposed (LSP CDE) before the packet is sent onward.
> > 
> > Now suppose I want a PW (note: not an LSP) form A to E. It runs ACE 
> > using the two tunnels.
> > At C, when a packet is received, the top label is popped 
> (end of LSP 
> > ABC) and the exposed label is used for forwarding. Then a 
> new label is 
> > imposed (LSP CDE) before the packet is sent onward.
> > 
> any domain 
> > It is important (to me) to limit this question to the data plane. I 
> > don't care how the LSPs or PWs are set up or what service they are 
> > delivering.
> > 
> > Thanks,
> > Adrian
> > 
> > MS-PW. While a P

---

From: Maarten Vissers <[email-masked]>
Date: Thu, 29 Oct 2009 12:59:38 +0100

Adrian,

> In the second case, node C is an S-PE.

I would consider node C a to be a S-PE in both cases. 
Rationale is that the LSP in the first case is a segment LSP of a MPLS-TP VC
and in the second case the same MPLS-TP VC is present but without the
segment.

Regards,
Maarten

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Adrian Farrel
Sent: donderdag 29 oktober 2009 0:53
To: Luca Martini
Cc: [email-masked]
Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?

Luca,

Let me draw a network...

A==B==C***D***E

A==B==C***D***E

Thanks,
Adrian

----- Original Message -----
From: "Luca Martini" <[email-masked]>
To: "Adrian Farrel" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, October 28, 2009 10:31 PM
Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?

> An S-PE is an administrative , and control point for the MS-PW. While 
> a P Router switches all LSP the same , and does not even have to be a MIP.
>>> known as "levels" in RFC 3031. All sub layers have the potential to 
>>> be switched including the PW sub-layer, ergo a PW is a sub-layer of
MPLS-TP...
>>> apriori knowledge of the label type at bottom of stack IF we assume 
>>> It would be helpful to have more answers than just Neil's (not that

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 29 Oct 2009 12:44:04 -0000

Right (for whatever meaning "S-PE" has").
We seem to agree that there is no functional difference between the two 
cases of node C.

A
----- Original Message ----- 
From: "Maarten Vissers" <[email-masked]>
To: "'Adrian Farrel'" <[email-masked]>; "'Luca Martini'" 
<[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, October 29, 2009 11:59 AM
Subject: RE: [mpls-tp] If a PW is a sublayer, why is it different?

---

From: Maarten Vissers <[email-masked]>
Date: Thu, 29 Oct 2009 17:58:09 +0100

Indeed. 

The S-PE node switches MPLS-TP VC signals (and terminates the MPLS-TP VP
signals (if present)). 
The P node switches MPLS-TP VP signals. 
The T-PE node terminates MPLS-TP VC signals (and terminates the MPLS-TP VP
signals (if present)).

The S-PE node also bridges Ethernet VC signals (carrying E-Tree and E-LAN
services). Note that in this case the MPLS-TP VC signal, in which the
Ethernet VC signal is carried, is terminated in the S-PE.

The functionality of the NNI ports on P and PE nodes and the common
functionality of the UNI-N ports on T-PE nodes is illustrated in C698 (SG15,
Sep/Oct 2009) http://www.itu.int/md/T09-SG15-C-0698/en. 

Regards,
Maarten

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: donderdag 29 oktober 2009 13:44
To: Maarten Vissers; 'Luca Martini'
Cc: [email-masked]
Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?

A
----- Original Message -----
From: "Maarten Vissers" <[email-masked]>
To: "'Adrian Farrel'" <[email-masked]>; "'Luca Martini'" 
<[email-masked]>
Cc: <[email-masked]>

---

From: "Drake, John E" <[email-masked]>
Date: Thu, 29 Oct 2009 10:24:03 -0700

Maarten,

Is there any particular reason why you insist upon re-using the terminology of a defunct technology?

Thanks,

John 

> [mailto:[email-masked]] On Behalf Of Maarten Vissers
> Sent: Thursday, October 29, 2009 9:58 AM
> To: 'Adrian Farrel'; 'Luca Martini'
> Cc: [email-masked]
> The S-PE node switches MPLS-TP VC signals (and terminates the 
> MPLS-TP VP signals (if present)). 
> The T-PE node terminates MPLS-TP VC signals (and terminates 
> the MPLS-TP VP signals (if present)).
> 
> The S-PE node also bridges Ethernet VC signals (carrying 
> E-Tree and E-LAN services). Note that in this case the 
> MPLS-TP VC signal, in which the Ethernet VC signal is 
> carried, is terminated in the S-PE.
> 
> The functionality of the NNI ports on P and PE nodes and the 
> common functionality of the UNI-N ports on T-PE nodes is 
> illustrated in C698 (SG15, Sep/Oct 2009) 
> http://www.itu.int/md/T09-SG15-C-0698/en. 
> 
> Regards,
> Maarten
> 
> We seem to agree that there is no functional difference 
> between the two cases of node C.
> 
> A
> > Rationale is that the LSP in the first case is a segment LSP of a 
> > MPLS-TP VC and in the second case the same MPLS-TP VC is 
> present but 
> > without the segment.
> >
> > Regards,
> > Maarten
> >
> > Behalf Of Adrian Farrel
> > don't care how the LSPs or PWs are set up or what service 
> they are delivering.
> >
> > Thanks,
> > Adrian
> >
> >> An S-PE is very different. A P node has no knowledge of what is in 
> >> the PW, what specific parameters are incompatible with the 2 PWs. 
> >> block or fake PW OAM, etc...
> have to be a 
> >> MIP.
> >>>> clients besides PWs was to illustrate second order consequences, 
> >>>> not to suggest that OAM was wagging the dog or was involved in 
> sub-layer of

---

From: Maarten Vissers <[email-masked]>
Date: Thu, 29 Oct 2009 23:15:46 +0100

John,

Yes of course. Transport networks have a common, technology independent
architecture. The terminology I am using is as such not defunct. The MPLS-TP
technology does not add anything new. I.e. all elements are already
available in other technologies like Ethernet VLAN and OTN.

For circuit technologies we use the LO, HO and MS terminology (LO VC/HO
VC/MS, LO ODU/HO ODU/OMS). For packet technologies we use the VC, VP and VS
terminology (ATM VC/VP, Ethernet VC/VP/VS, MPLS-TP VC/VP).

NMS can manage all LO and VC layers in a similar manner. Also all HO and VP
layers can be managed similarly. And MS and VS layer can be managed
similarly.

Regards,
Maarten

-----Original Message-----
From: Drake, John E [mailto:[email-masked]] 
Sent: donderdag 29 oktober 2009 18:24
To: Maarten Vissers; 'Adrian Farrel'; 'Luca Martini'
Cc: [email-masked]
Subject: RE: [mpls-tp] If a PW is a sublayer, why is it different?

Maarten,

Is there any particular reason why you insist upon re-using the terminology
of a defunct technology?

Thanks,

John 

> The S-PE node switches MPLS-TP VC signals (and terminates the MPLS-TP 
> VP signals (if present)).
> The T-PE node terminates MPLS-TP VC signals (and terminates the 
> The S-PE node also bridges Ethernet VC signals (carrying E-Tree and 
> E-LAN services). Note that in this case the MPLS-TP VC signal, in 
> which the Ethernet VC signal is carried, is terminated in the S-PE.
> 
> functionality of the UNI-N ports on T-PE nodes is illustrated in C698 
> (SG15, Sep/Oct 2009) http://www.itu.int/md/T09-SG15-C-0698/en.
> 
> Regards,
> Maarten
> 
> We seem to agree that there is no functional difference between the 
> two cases of node C.
> 
> A
> =

---

From: <[email-masked]>
Date: Fri, 30 Oct 2009 08:07:42 -0000

Maarten, what you are claiming here is just not true.  What we did in
the past (including the mistakes we made) should not be carried over
into the future.  There is nothing 'of fundamental truth' in what you
say about LO/HO layered network structures...let me destroy the myth:

-	PDH:  2M, 8M, 34M, 140M  or 1.5M, 6M, 45M, 140M.....the rates
tracked developments in silicon technology, they are not products of
some deeper physics/maths

-	SDH:  VC1, VC2 VC3, VC4.....tracks the old PDH rates

-	ATM:  This one is a real gem.  ATM seems as though it has VP and
VC layer networks...it doesn't.  To have real layer networks one must
fully encapsulate the client traffic unit in the server traffic unit.
Have you noticed there is only one traffic unit size in ATM for BOTH VC
and VP 'layer networks' (sic), ie 53 octets.  The VP/VC split in ATM is
an illusion, and it's simply a partitioning of the forwarding label
field.  So ATM never have LO and HO proper layer networks.

FR:  1 level.  No LO/HO.

X.25:  same as FR

IP: just one level for both v4 and v6...and v4 and v6 do NOT have any
LO/HO relationship...they are peer cl-ps mode technologies and represent
very different cl-ps mode layer network.

Ethernet is the same as IP.  I could go on and on.

You are trying to impose an artificial structure on networks that is not
warranted.  You are also trying to align their functional components
(though you only seem to think this is only OAM) which is also a major
mistake.  The 3 network modes are different and they have differences in
their functional components...which includes OAM, eg AIS/FDI is only
required in the co-cs mode (and then only as a time dimension function),
it has no role in the cl-ps mode whatsoever and in the co-ps mode we are
also actually better off (ie more reliable) without it.

regards, Neil

> Sent: 29 October 2009 22:16
> To: 'Drake, John E'
> Cc: [email-masked]
> Yes of course. Transport networks have a common, technology 
> independent architecture. The terminology I am using is as 
> such not defunct. The MPLS-TP technology does not add 
> anything new. I.e. all elements are already available in 
> other technologies like Ethernet VLAN and OTN.
> 
> For circuit technologies we use the LO, HO and MS terminology 
> (LO VC/HO VC/MS, LO ODU/HO ODU/OMS). For packet technologies 
> we use the VC, VP and VS terminology (ATM VC/VP, Ethernet 
> VC/VP/VS, MPLS-TP VC/VP).
> 
> NMS can manage all LO and VC layers in a similar manner. Also 
> all HO and VP layers can be managed similarly. And MS and VS 
> layer can be managed similarly.
> 
> Regards,
> Maarten
> 
> > >>>> Hasn't the work on the MPLS-TP Framework draft judged 
> PW to be a 
> > >>>> client of MPLS-TP?
> > >>>> Doesn't that mean that PW survivability is out of 
> scope for the 
> > >>>> MPLS-TP Survivability I-D?
> > >>>>
> > >>>> Thanks,
> > >>>> Adrian

---

From: Lou Berger <[email-masked]>
Date: Fri, 30 Oct 2009 07:26:34 -0400

Maarten,
	By "we use" I assume you mean ITU-T.  Is this correct?  If so, perhaps
you can help out those of us in the IETF who are unfamiliar with your
generic usage of the acronyms/concepts you list below by providing a
reference to the document(s) that include the generic definitions?

Much thanks,
Lou

---

From: Maarten Vissers <[email-masked]>
Date: Fri, 30 Oct 2009 15:54:30 +0100

Neil,

SDH is operated with a LO and a HO layer networks:
AU-4 networks:
--------------
LO layer VC: VC-12 + VC-3 (+ VC-11)
HO layer VC: VC-4  

AU-3 networks:
--------------
LO layer VC: VC-11
HO layer VC: VC-3  

SDH equipment has HOVC ADMs, HO VC XCs, LO ADMs and LO XCs. And there are
combo products that support both HOVC switching and LOVC switching.

ATM is operated with VC and VP layer networks and there is ATM VC switching
and ATM VP switching equipment. There are also combo products that support
both ATM VP and ATM VC switching.

HOVC and VP connections are the tunnels in the SDH and ATM networks, which
interconnect the LOVC and VC switching equipment, typically through one or
more HOVC resp VC switching equipment.

L3 networks use IP layer as their service/channel layer and Ethernet VLAN
and MPLS LSP layers as tunnel/path layer (refer to C745, SG15 Sept/Oct
2009). In the near future I expect that L3 networks will also use the ODU as
tunnel/path layer in order to reduce the layer stack further. IPv4 and IPv6
are different formats used in the IP layer. There will be IP transport
entities with IPv4 based Characteristic Information, IP transport entities
(IP VPNs and the Internet) with IPv6 based Characteristic Information and IP
transport entities with both IPv4 and IPv6 based Characteristic Information.

The next gen OTN networks will be build using LO ODU and HO ODU layer
networks to enhance scalability in those networks. ODUs can be stacked like
PDH signals (e.g. ODU0 -> ODU1 -> ODU2 -> ODU3 -> ODU4 -> ... and in future
also ... -> ODU5 -> ODU6), but the possibility to stack more then once is
not used inside one domain; this stacking capability is used in e.g.
carrier-carrier situation or to support bundled services. The bit rate of
the ODU is a parameter of the ODU Characteristic Information and not longer
an indication of another ODU layer network.

Ethernet VLAN based transport networks deploy two VLAN switching layers (VC,
VP), or a VLAN switching layer (VC) supported by more then one type of
tunnel layer (e.g. VLAN and LSP) as illustrated in C745. The Ethernet VCs
are traffic engineered and have CIR/EIR parameters for every Eth VC link
connection (administered against the physical link resources). The Ethernet
VP or LSP tunnels have unspecified/undefined bandwidth, and provide a
management and forwarding scalability measure within metro or core domains
(i.e. P nodes don't need to be VC aware).

Connections (mostly p2p and some p2mp) in the tunnel/path (i.e. HO and VP)
layers are set up prior to service requests, under control of network
planning/engineering. Connections (p2p, p2mp, rmp, mp2mp) in the
service/channel (i.e. LO and VC) layers are set up after customer service
request, using LO/VC links provided by the already established HO/VP
connections. 

The different technologies (co-cs, co-ps, cl-ps) have a large set of
commonalities and a minor set of differences. 

- The differences between "cs" and "ps" technologies are 
  # the resource allocation procedure: 
    in "cs" technologies this is done at transport entity set up, 
    in "ps" technologies this is done on-demand when a frame is present; 
            at transport entity set up resources are only reserved.
  # the number of priorities and drop eligibilities: 
    in "cs" technologies there is 1 priority and 1 drop eligibility (no
drop),
    in "ps" technologies there are multiple priorities and 2 drop
eligibilities.

- The difference between "co" and "cl" technologies is
  # the types of forwarding/filtering rules inside a transport entity:
    in "co" technologies there is just one "broadcast" forwarding rule and
no filtering rules,
    in "cl" technologies there is either
    @ one broadcast forwarding rule and zero or more unicast/multicast
filtering rules, or
    @ one or more unicast and multicast forwarding rules (but no braodcast
forwarding rule).

A previous difference between "cs" and "ps" technologies was the set of
signal bit rates supported in those technologies. Originally "cs"
technologies supported a few bit rates (e.g. the ones you mention for PDH
and SDH), while "ps" technologies support a continuous range of bit rates.
With the extension of G.709 this difference is now not longer present as
ODUk signals can have any bit rate due to the introduction of the ODUflex.

The functional components (adaptation, termination, transport entities,
maintenance entities, OAM, protection, fault management, performance
monitoring) are common between these technologies as you can read in the set
of SDH, OTN, ATM and Ethernet recommendations.

Regards,
Maarten

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: vrijdag 30 oktober 2009 9:08
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [mpls-tp] If a PW is a sublayer, why is it different?

Maarten, what you are claiming here is just not true.  What we did in the
past (including the mistakes we made) should not be carried over into the
future.  There is nothing 'of fundamental truth' in what you say about LO/HO
layered network structures...let me destroy the myth:

-	PDH:  2M, 8M, 34M, 140M  or 1.5M, 6M, 45M, 140M.....the rates
tracked developments in silicon technology, they are not products of some
deeper physics/maths

-	ATM:  This one is a real gem.  ATM seems as though it has VP and
VC layer networks...it doesn't.  To have real layer networks one must fully
encapsulate the client traffic unit in the server traffic unit.
Have you noticed there is only one traffic unit size in ATM for BOTH VC and
VP 'layer networks' (sic), ie 53 octets.  The VP/VC split in ATM is an
illusion, and it's simply a partitioning of the forwarding label field.  So
ATM never have LO and HO proper layer networks.

FR:  1 level.  No LO/HO.

X.25:  same as FR

IP: just one level for both v4 and v6...and v4 and v6 do NOT have any LO/HO
relationship...they are peer cl-ps mode technologies and represent very
different cl-ps mode layer network.

You are trying to impose an artificial structure on networks that is not
warranted.  You are also trying to align their functional components (though
you only seem to think this is only OAM) which is also a major mistake.  The
3 network modes are different and they have differences in their functional
components...which includes OAM, eg AIS/FDI is only required in the co-cs
mode (and then only as a time dimension function), it has no role in the
cl-ps mode whatsoever and in the co-ps mode we are also actually better off
(ie more reliable) without it.

regards, Neil

> independent architecture. The terminology I am using is as such not 
> defunct. The MPLS-TP technology does not add anything new. I.e. all 
> elements are already available in other technologies like Ethernet 
> VLAN and OTN.
> 
> For circuit technologies we use the LO, HO and MS terminology (LO 
> VC/HO VC/MS, LO ODU/HO ODU/OMS). For packet technologies we use the 
> VC, VP and VS terminology (ATM VC/VP, Ethernet VC/VP/VS, MPLS-TP 
> VC/VP).
> 
> NMS can manage all LO and VC layers in a similar manner. Also all HO 
> and VP layers can be managed similarly. And MS and VS layer can be 
> managed similarly.
> 
> Regards,
> Maarten
>

---

From: "Drake, John E" <[email-masked]>
Date: Fri, 30 Oct 2009 08:15:35 -0700

Maarten,

So what you're saying is that you have abused these terms in the past?

Thanks,

John 

> From: Maarten Vissers [mailto:[email-masked]] 
> Sent: Thursday, October 29, 2009 3:16 PM
> To: Drake, John E
> Cc: [email-masked]

---

From: "BRUNGARD, DEBORAH A (ATTLABS)" <[email-masked]>
Date: Fri, 30 Oct 2009 11:24:02 -0400

Maarten,

I've been silently watching the mail but on this you are going too far.
I agree with Neil, you are imposing an artificial construct to prove-in
what may represent your management/equipment view but it doesn't
necessarily reflect the data plane or what an operator needs or what
standards support. On your interpretation of OTN layering support:
" but the possibility to stack more then once is
not used inside one domain; this stacking capability is used in e.g.
carrier-carrier situation or to support bundled services"

This was discussed at the last ITU meeting and it was agreed for G709
"the interconnection of and visibility of ODUk multiplexing layers
within an equipment or domain is outside the scope of this
Recommendation".

For other ITU technologies, there was no force fit to older
technologies. On OAM, I can still recall the push back from the ETSI
folks to ANSI on supporting PDH OAM in SDH (E-RDI) and other old PDH OAM
mechanisms, so why now do you want to support the same in MPLS-TP?

Deborah

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Maarten Vissers
Sent: Friday, October 30, 2009 10:55 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [mpls-tp] If a PW is a sublayer, why is it different?

Neil,

AU-3 networks:
--------------
LO layer VC: VC-11
HO layer VC: VC-3  

SDH equipment has HOVC ADMs, HO VC XCs, LO ADMs and LO XCs. And there
are
combo products that support both HOVC switching and LOVC switching.

ATM is operated with VC and VP layer networks and there is ATM VC
switching
and ATM VP switching equipment. There are also combo products that
support
both ATM VP and ATM VC switching.

HOVC and VP connections are the tunnels in the SDH and ATM networks,
which
interconnect the LOVC and VC switching equipment, typically through one
or
more HOVC resp VC switching equipment.

L3 networks use IP layer as their service/channel layer and Ethernet
VLAN
and MPLS LSP layers as tunnel/path layer (refer to C745, SG15 Sept/Oct
2009). In the near future I expect that L3 networks will also use the
ODU as
tunnel/path layer in order to reduce the layer stack further. IPv4 and
IPv6
are different formats used in the IP layer. There will be IP transport
entities with IPv4 based Characteristic Information, IP transport
entities
(IP VPNs and the Internet) with IPv6 based Characteristic Information
and IP
transport entities with both IPv4 and IPv6 based Characteristic
Information.

The next gen OTN networks will be build using LO ODU and HO ODU layer
networks to enhance scalability in those networks. ODUs can be stacked
like
PDH signals (e.g. ODU0 -> ODU1 -> ODU2 -> ODU3 -> ODU4 -> ... and in
future
also ... -> ODU5 -> ODU6), but the possibility to stack more then once
is
not used inside one domain; this stacking capability is used in e.g.
carrier-carrier situation or to support bundled services. The bit rate
of
the ODU is a parameter of the ODU Characteristic Information and not
longer
an indication of another ODU layer network.

Ethernet VLAN based transport networks deploy two VLAN switching layers
(VC,
VP), or a VLAN switching layer (VC) supported by more then one type of
tunnel layer (e.g. VLAN and LSP) as illustrated in C745. The Ethernet
VCs
are traffic engineered and have CIR/EIR parameters for every Eth VC link
connection (administered against the physical link resources). The
Ethernet
VP or LSP tunnels have unspecified/undefined bandwidth, and provide a
management and forwarding scalability measure within metro or core
domains
(i.e. P nodes don't need to be VC aware).

Connections (mostly p2p and some p2mp) in the tunnel/path (i.e. HO and
VP)
layers are set up prior to service requests, under control of network
planning/engineering. Connections (p2p, p2mp, rmp, mp2mp) in the
service/channel (i.e. LO and VC) layers are set up after customer
service
request, using LO/VC links provided by the already established HO/VP
connections. 

- The difference between "co" and "cl" technologies is
  # the types of forwarding/filtering rules inside a transport entity:
    in "co" technologies there is just one "broadcast" forwarding rule
and
no filtering rules,
    in "cl" technologies there is either
    @ one broadcast forwarding rule and zero or more unicast/multicast
filtering rules, or
    @ one or more unicast and multicast forwarding rules (but no
braodcast
forwarding rule).

A previous difference between "cs" and "ps" technologies was the set of
signal bit rates supported in those technologies. Originally "cs"
technologies supported a few bit rates (e.g. the ones you mention for
PDH
and SDH), while "ps" technologies support a continuous range of bit
rates.
With the extension of G.709 this difference is now not longer present as
ODUk signals can have any bit rate due to the introduction of the
ODUflex.

The functional components (adaptation, termination, transport entities,
maintenance entities, OAM, protection, fault management, performance
monitoring) are common between these technologies as you can read in the
set
of SDH, OTN, ATM and Ethernet recommendations.

Regards,
Maarten

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: vrijdag 30 oktober 2009 9:08
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [mpls-tp] If a PW is a sublayer, why is it different?

Maarten, what you are claiming here is just not true.  What we did in
the
past (including the mistakes we made) should not be carried over into
the
future.  There is nothing 'of fundamental truth' in what you say about
LO/HO
layered network structures...let me destroy the myth:

some
deeper physics/maths

fully
and
illusion, and it's simply a partitioning of the forwarding label field.
So

FR:  1 level.  No LO/HO.

X.25:  same as FR

LO/HO

You are trying to impose an artificial structure on networks that is not
warranted.  You are also trying to align their functional components
(though
you only seem to think this is only OAM) which is also a major mistake.
The
3 network modes are different and they have differences in their
functional
components...which includes OAM, eg AIS/FDI is only required in the
co-cs
mode (and then only as a time dimension function), it has no role in the
cl-ps mode whatsoever and in the co-ps mode we are also actually better
off
(ie more reliable) without it.

regards, Neil

---

From: "BUSI ITALO" <[email-masked]>
Date: Fri, 30 Oct 2009 16:32:37 +0100

Adrian,

Does not this fact confirms that both LSP and PW are sub-layers of
MPLS-TP?

Thanks, Italo

> Sent: Thursday, October 29, 2009 1:44 PM
> > Rationale is that the LSP in the first case is a segment 
> LSP of a MPLS-TP 
> > VC
> server type -
> (end of LSP ABC)
> (end of LSP ABC)
> plane. I don't